import DashboardFirstComponent from "@/components/dashboard/first";
import {parse} from "next-useragent";

export default function Dashboard() {
    return (
        <DashboardFirstComponent/>
    );
}

export async function getServerSideProps({req, locale}) {
    const {isBot} = parse(req.headers["user-agent"]);
    return {
        props: {
            messages: (await import(`&/locales/${locale}/app.json`)).default,
            title: "Dashboard.dashboard_page",
            isBot,
            locale,
            layout: {name: 'DashboardLayout'}
        },
    };
}
